Federation
- URL:https://<portal-url>/idp/federation
Description
List organization identity federation information configured using a federation of identity providers, such as SWITCHaai.
Request Parameters
Parameter | Details |
|---|---|
| [Common Parameters] | For a complete listing, see Common parameters. |
Response Properties
Property | Details |
|---|---|
| id | The organization identity federation ID. |
| name | The SAML federation name. |
| discoveryServiceUrl | SAML federation discovery service URL. |
| metadataServiceUrl | SAML federation aggregate metadata service URL. |
| certificate | Base64-encoded certificate text used to validate metadata service, enclosed between -----BEGIN CERTIFICATE----- and -----END CERTIFICATE-----. |
| entityId | Entity ID used to identify the organization in SAML federation. |
| signUpMode | Enterprise members joining mode to the organization, automatically or through an invitation. Supported values: Automatic | Invitation |
| encryptionSupported | If true, it indicates to SAML federation that encrypted SAML assertion responses are supported. |
| roleId | Default role members are assigned, used when signUpMode=Automatic. |
| supportSignedRequest | If true, organization signs the SAML authentication request sent to the IDP federation. |
| useSHA256 | If true, organization signs request using SHA-256 hash function, applicable when supportSignedRequest=true. |
| supportsLogoutRequest | If true, signing out of the organization propagates logout of the IDP. |
| userLicenseType | Default user license type members are assigned, used when signUpMode=Automatic. |
| groups | An array of groups members are added upon joining the organization, used when signUpMode=Automatic. Example: ["6dc1a6f134b44ebb8d1f1b55f0ad8753","538553267d36484daee14bf60105e119"] |
| updateProfileAtSignin | If true, automatically sync user account information (full name and email address) stored in ArcGIS Online with the information received from the IDP. |
Example Usage
URL for Federation
https://www.arcgis.com/sharing/rest/portals/J423vH8fR9HV444k/idp/federation
JSON Response Syntax
{
"id": "<organization identity federation ID>",
"name": "<SAML federation name>",
"discoveryServiceUrl": "<path to discovery service>",
"metadataServiceUrl": "<path to metadata service>",
"certificate": "<certificate text>",
"entityId": "<entity id>",
"signUpMode": "Automatic | Invitation"
"encryptionSupported": true | false,
"roleId": "<role id>",
"supportSignedRequest": true | false,
"useSHA256": true | false,
"supportsLogoutRequest": true | false,
"userLicenseType": "<user license type ID>",
"groups": "["group id1", "group id2"]",
"updateProfileAtSignin": true | false
}
JSON Response Example
{
"id": "WXpNWCKvSxNJ8K7D",
"name": "My SAML federation",
"discoveryServiceUrl": "https://discovery.example.com",
"metadataServiceUrl": "https://metadata.example.com",
"certificate": "",
"entityId": "org.maps.arcgis.com",
"signUpMode": "Automatic",
"encryptionSupported": false,
"roleId": "org_user",
"supportSignedRequest": false,
"supportsLogoutRequest": false,
"userLicenseType": "editorUT",
"groups": "["6dc1a6f134b44ebb8d1f1b55f0ad8753"]",
"updateProfileAtSignin": true
}